Subject: Re: ELF and ARM

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Thu, 3 Feb 2000 15:04:41 -0500 (EST)

H. Peter Anvin writes:
> Sorry for ask something that's at least semi-off-topic, but I would
> like to ask what the situation is regarding ELF on ARM.

ELF is now the preferred binary format on ARM.

> I do remember a long time ago something about a discussion that
> there was no definition for ARM ELF; is that still the case, or
> are the current snags elsewhere?

There is a definition, which can be found somewhere on the netwinder.org
ftp and/or web sites.  Exactly where it is, I'm not sure.

> All I know is that binutils 2.9.1 doesn't seem to support ARM ELF --
> if there is work that needs to be done in this are, perhaps I could
> lend a hand, but I'd like to know the current status :)

I think binutils 2.9.1 needed patches to properly support ARM.  However,
if you're thinking about kernels, you should be using 2.9.5.  2.9.1 had
some problems with text in different sections.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++